Get an email template
curl --request GET \
--url https://client-api.salesfinity.co/v2/sequencer/templates/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://client-api.salesfinity.co/v2/sequencer/templates/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://client-api.salesfinity.co/v2/sequencer/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"subject": "<string>",
"body_html": "<string>",
"tags": [
"<string>"
],
"archived": true,
"send_count": 123,
"open_count": 123,
"reply_count": 123,
"bounce_count": 123
}{
"message": [
"limit must not be greater than 100"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "Too many requests",
"error": "Too Many Requests",
"statusCode": 429
}{
"message": "Internal server error",
"error": "Internal Server Error",
"statusCode": 500
}Sequencer Templates
Get an email template
One template, with its body and engagement counters.
GET
/
v2
/
sequencer
/
templates
/
{id}
Get an email template
One template, with its body and engagement counters.
Authorizations
Team-scoped API key generated in the Salesfinity dashboard under Settings -> Connections & API. A missing or invalid key returns HTTP 403.
Path Parameters
24-character template id.